Summary:	A color VT102 terminal emulator for the X Window System
Name:		rxvt-unicode
Version:	9.15
Release:	%mkrel 6
License:	GPLv2+
Group:		Terminals
URL:		http://dist.schmorp.de/rxvt-unicode
Source:		http://dist.schmorp.de/rxvt-unicode/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
# X11 locales are required to build IM support
BuildRequires:	libx11-common
BuildRequires:	perl-devel
BuildRequires:	libx11-devel
BuildRequires:	libxft-devel
BuildRequires:	libxrender-devel
BuildRequires:	fontconfig-devel

Requires:       ncurses-extraterms

%description
Rxvt-unicode is a clone of the well known terminal emulator rxvt, modified
to store text in Unicode (either UCS-2 or UCS-4) and to use locale-correct
input and output. It also supports mixing multiple fonts at the same time,
including Xft fonts.

%prep
%setup -q

%build
./autogen.sh

%configure2_5x \
	--enable-unicode3 \
	--enable-combining \
	--enable-xft \
	--enable-font-styles \
	--enable-transparency \
	--enable-fading \
	--enable-rxvt-scroll \
	--disable-next-scroll \
	--disable-xterm-scroll \
	--enable-perl \
	--enable-xim \
	--enable-backspace-key \
	--enable-delete-key \
	--enable-resources \
	--disable-8bitctrls \
	--enable-swapscreen \
	--enable-iso14755 \
	--enable-frills \
	--enable-keepscrolling \
	--enable-selectionscrolling \
	--enable-mousewheel \
	--enable-slipwheeling \
	--enable-smart-resize \
	--enable-text-blink \
	--enable-pointer-blank \
	--disable-utmp \
	--disable-wtmp \
	--disable-lastlog \
	--enable-256-color

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%name.desktop

%files
%defattr(-,root,root)
%{_bindir}/urxvt*
%{_libdir}/urxvt
%{_datadir}/applications/*.desktop
%{_mandir}/man*/*




%changelog

* Tue Mar 19 2013 shikamaru <shikamaru> 9.15-6.mga3
+ Revision: 403979
- rebuild for new libperl.so

* Mon Jan 14 2013 umeabot <umeabot> 9.15-5.mga3
+ Revision: 381638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 9.15-4.mga3
+ Revision: 314503
- Rebuild for perl 5.16.2

* Wed Aug 29 2012 eatdirt <eatdirt> 9.15-3.mga3
+ Revision: 285462
- Add missing requires
- Adding missing Requires to ncurses (bug 6835)

* Wed Aug 29 2012 eatdirt <eatdirt> 9.15-2.mga3
+ Revision: 285372
- Rebuild for new perl

* Thu Jun 07 2012 solbu <solbu> 9.15-1.mga3
+ Revision: 256679
- New version
- Spec cleanup

* Sun Oct 23 2011 shikamaru <shikamaru> 9.12-2.mga2
+ Revision: 157480
- rebuild for new perl

  + tv <tv>
    - new release

* Fri Feb 25 2011 shikamaru <shikamaru> 9.10-3.mga1
+ Revision: 59934
- rebuild for new perl

* Sun Jan 09 2011 shikamaru <shikamaru> 9.10-2.mga1
+ Revision: 4600
- imported package rxvt-unicode

